petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexGetPointLocal

get location of point data in local Vec

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetPointLocal(DM dm, PetscInt point, PetscInt *start, PetscInt *end)

Not Collective

### Input Arguments

| dm | - DM defining the topological space
| point | - topological point

### Output Arguments

| start | - start of point data
| end | - end of point data

Note: This is a half open interval [start, end)

### See Also

DMPlexGetPointLocalField(), DMGetSection(), PetscSectionGetOffset(), PetscSectionGetDof(), DMPlexPointLocalRead(), DMPlexPointLocalRead(), DMPlexPointLocalRef()

### Level

intermediate

### Location

src/dm/impls/plex/plexpoint.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages